KDE 4.2 PyKDE API Reference

- KDE's Python API

# HTMLTableSectionElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

The THEAD , TFOOT , and TBODY elements.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLTableSectionElement other)
| __init__ (self, DOM.Node other)
| __init__ (self, HTMLTableSectionElementImpl impl)
DOM.DOMString | align (self)
DOM.DOMString | ch (self)
DOM.DOMString | chOff (self)
| deleteRow (self, long index)
DOM.HTMLElement | insertRow (self, long index)
DOM.HTMLCollection | rows (self)
| setAlign (self, DOM.DOMString a0)
| setCh (self, DOM.DOMString a0)
| setChOff (self, DOM.DOMString a0)
| setVAlign (self, DOM.DOMString a0)
DOM.DOMString | vAlign (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLTableSectionElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

__init__ | ( | self, |
|  | HTMLTableSectionElementImpl | impl
| ) |  |  |

DOM.DOMString align | ( |  | self ) |

Horizontal alignment of data in cells. See the align attribute for HTMLTheadElement for details.

DOM.DOMString ch | ( |  | self ) |

Alignment character for cells in a column. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-char"> char attribute definition in HTML 4.0.

DOM.DOMString chOff | ( |  | self ) |

Offset of alignment character. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-charoff"> charoff attribute definition in HTML 4.0.

deleteRow | ( | self, |
|  | long | index
| ) |  |  |

Delete a row from this section.

Parameters:

  | index | The index of the row to be deleted, or -1 to delete the last row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.

DOM.HTMLElement insertRow | ( | self, |
|  | long | index
| ) |  |  |

Insert a row into this section. The new row is inserted immediately before the current indexth row in this section. If index is -1 or equal to the number of rows in this sectino, the new row is appended.

Parameters:

  | index | The row number where to insert a new row.

Returns:
  The newly created row.

DOM.HTMLCollection rows | ( |  | self ) |

The collection of rows in this table section.

setAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see align

setCh | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see ch

setChOff | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see chOff

setVAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see vAlign

DOM.DOMString vAlign | ( |  | self ) |

Vertical alignment of data in cells. See the valign attribute for HTMLTheadElement for details.